<?php

namespace App\Modules\ReviewNotification\Domain;

use App\Modules\GroupPassenger\Domain\IdGroupPassenger;
use App\Modules\Admin\Domain\IdAdmin;

class AcceptReviewNotification
{

    /** constructor */
    public function __construct(
        private IdReviewNotification $id,
        private ReviewNotificationResponse $response,
        private IdAdmin $idAdminAccept
    ) {
    }
    public function getId(): IdReviewNotification
    {
        return $this->id;
    }
    public function getResponse(): ReviewNotificationResponse
    {
        return $this->response;
    }
    public function getIdAdmin(): IdAdmin
    {
        return $this->idAdminAccept;
    }
}
